Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018895
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2011-10-27 12:072011-11-04 13:58
ReportermaiteView Statuspublic 
Assigned Tomirurita 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision5a52989a5fb2
ProjectionnoneETAnoneTarget Version3.0MP5
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018895: Under some circumstances, user is able to create mixed reconciliation (some lines associated to bank statement and not others)

DescriptionUser should not be able to mix in same reconciliation, lines associated to bank statement lines and other lines not associated to bank statement lines. Actually,under some circumstances, it is possible to have this situation
Steps To Reproduce1. Go to any Bank financial account and to Bank statement tab
2. Create Bank statement header for today's date
3. Add one bank statement line for 70 IN euro; Add another bank statement line for 30 IN euro
4. Create GLItem for * organization
5. From Financial account transaction press "Match Statement"
6. Set "Cleared" checbox as NOT MARKED
7. Press "Add" option from line of 30 euro. Verify that "Payment In" option is selected and press "Add payment In/Out". Select "GLItem" type and set 30 IN euro. Process
8. You will be carried back to matching screen but created transaction does not appear as associated to your bank statement line.
9. Press "Add" again and repeat step 7.
10. Finally, press "Reconcile" and if you go to reconciliation line you will see that both lines has been added: one associated to bank statement line and another not.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0042220)
hgbot (developer)
2011-10-28 12:43

Repository: erp/devel/pi
Changeset: 5a52989a5fb23b6e8894e7de1eabf6fcfcf97c2e
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Fri Oct 28 12:41:44 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5a52989a5fb23b6e8894e7de1eabf6fcfcf97c2e [^]

Fixes issue 18895: reloadParentGrid not working with modal popups.
top.opener is undefined when working with modal windows (iframes). Use instead:
getFrame('LayoutMDI').f.OB.Layout.ClassicOBCompatibility.Popup.getPopup('process').getIframeHtmlObj().contentWindow.frames[0]

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/FIN_Utilities.js
---
(0042406)
hgbot (developer)
2011-10-31 12:24

Repository: erp/devel/pi
Changeset: 57a7a2379efa148370e53fb9829214ef73ba6d23
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Mon Oct 31 12:22:52 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/57a7a2379efa148370e53fb9829214ef73ba6d23 [^]

Related to issue 18895: code review - improve performance

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/FIN_Utilities.js
---
(0042466)
maite (developer)
2011-11-02 18:08

verified
(0042598)
hudsonbot (developer)
2011-11-04 13:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d10da320df2a [^]

Maturity status: Test
(0042612)
hudsonbot (developer)
2011-11-04 13:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d10da320df2a [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-10-27 12:07 maite New Issue
2011-10-27 12:07 maite Assigned To => jonalegriaesarte
2011-10-27 12:07 maite Modules => Advanced Payables and Receivables Mngmt
2011-10-27 12:08 jonalegriaesarte Assigned To jonalegriaesarte => mirurita
2011-10-27 12:16 maite Issue Monitored: networkb
2011-10-28 12:43 hgbot Checkin
2011-10-28 12:43 hgbot Note Added: 0042220
2011-10-28 12:43 hgbot Status new => resolved
2011-10-28 12:43 hgbot Resolution open => fixed
2011-10-28 12:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5a52989a5fb23b6e8894e7de1eabf6fcfcf97c2e [^]
2011-10-31 12:24 hgbot Checkin
2011-10-31 12:24 hgbot Note Added: 0042406
2011-11-02 18:08 maite Note Added: 0042466
2011-11-02 18:08 maite Status resolved => closed
2011-11-04 13:58 hudsonbot Checkin
2011-11-04 13:58 hudsonbot Note Added: 0042598
2011-11-04 13:58 hudsonbot Checkin
2011-11-04 13:58 hudsonbot Note Added: 0042612


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker